from xugrid import data
from xugrid.core.common import (
    concat,
    full_like,
    merge,
    ones_like,
    open_dataarray,
    open_dataset,
    open_mfdataset,
    open_zarr,
    zeros_like,
)
from xugrid.core.dataarray_accessor import UgridDataArrayAccessor
from xugrid.core.dataset_accessor import UgridDatasetAccessor
from xugrid.core.wrap import UgridDataArray, UgridDataset
from xugrid.plot import plot
from xugrid.regrid.regridder import (
    BarycentricInterpolator,
    CentroidLocatorRegridder,
    OverlapRegridder,
    RelativeOverlapRegridder,
)
from xugrid.ugrid.burn import burn_vector_geometry, earcut_triangulate_polygons
from xugrid.ugrid.conventions import UgridRolesAccessor
from xugrid.ugrid.partitioning import merge_partitions
from xugrid.ugrid.polygonize import polygonize
from xugrid.ugrid.snapping import (
    create_snap_to_grid_dataframe,
    snap_nodes,
    snap_to_grid,
)
from xugrid.ugrid.ugrid1d import Ugrid1d
from xugrid.ugrid.ugrid2d import Ugrid2d

__version__ = "0.12.1"

__all__ = (
    "data",
    "concat",
    "full_like",
    "merge",
    "ones_like",
    "open_dataarray",
    "open_dataset",
    "open_mfdataset",
    "open_zarr",
    "zeros_like",
    "UgridDataArrayAccessor",
    "UgridDatasetAccessor",
    "UgridDataArray",
    "UgridDataset",
    "plot",
    "BarycentricInterpolator",
    "CentroidLocatorRegridder",
    "OverlapRegridder",
    "RelativeOverlapRegridder",
    "burn_vector_geometry",
    "earcut_triangulate_polygons",
    "UgridRolesAccessor",
    "merge_partitions",
    "polygonize",
    "snap_nodes",
    "snap_to_grid",
    "create_snap_to_grid_dataframe",
    "Ugrid1d",
    "Ugrid2d",
)
